@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@500;600;700&display=swap');

@keyframes appear-1 {
    0% {
        clip-path: polygon(0 0, 0 0, 0 100%, 0% 100%);
        transform: translateX(3rem);
        text-shadow: 0 10px 70px #00000000;
    }

    100% {
        transform: translateX(0);
        clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
    }
}


@keyframes appear-2 {
    0% {
        clip-path: polygon(0 0, 0 0, 0 100%, 0% 100%);
        text-shadow: 0 10px 70px #00000000;
    }

    20% {
        clip-path: polygon(0 0, 0 0, 0 100%, 0% 100%);
        text-shadow: 0 10px 70px #00000000;

        transform: translateX(3rem);
    }

    100% {
        clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
        transform: translateX(0rem);
    }
}

@keyframes appear-3 {
    0% {
        opacity: 0;
        transform: translateX(-2rem);
    }

    100% {
        opacity: 1;
        transform: translateX(0rem);
    }
}

@keyframes btn-1 {
    0% {
        transform: translateX(4rem);
        opacity: 0;
    }

    40% {
        transform: translateX(4rem);
        opacity: 0;
    }

    100% {
        transform: translateX(0rem);
        opacity: 1;
    }
}

@keyframes btn-2 {
    0% {
        transform: translateX(4rem);
        opacity: 0;
    }

    50% {
        transform: translateX(4rem);
        opacity: 0;
    }

    100% {
        transform: translateX(0rem);
        opacity: 1;
    }
}

@keyframes btn-3 {
    0% {
        transform: translateX(4rem);
        opacity: 0;
    }

    60% {
        transform: translateX(4rem);
        opacity: 0;
    }

    100% {
        transform: translateX(0rem);
        opacity: 1;
    }
}

@keyframes bg {
    0% {
        filter: blur(100px);
        opacity: 0;
    }

    100% {
        filter: blur(0px);
        opacity: 1;
    }
}

.contactWrapper .btn:nth-child(1) {
    animation: btn-1;
    animation-duration: 1.2s;
} 

.contactWrapper .btn:nth-child(2) {
    animation: btn-2;
    animation-duration: 1.3s;
} 

.contactWrapper .btn:nth-child(3) {
    animation: btn-3;
    animation-duration: 1.4s;
} 

body {
    width: 100vw;
    height: 100vh;
    margin: 0;
    padding: 20vh 10vw;
    box-sizing: border-box;

    position: relative;
    overflow: hidden;

    font-family: 'Poppins', sans-serif;
    font-size: 18px;

    display: flex;
    flex-direction: column;
    justify-content: space-between;

    color: #fff;
    background-color: #000000;
}

h1 {
    position: relative;
    width: fit-content;
    font-size: 40px;
    line-height: 0.9;
    margin-top: -15px;
    margin-left: -5px;
}

h1 span {
    overflow: visible;
    position: relative;
    display: inline-block;
    margin-top: -80px;
}

h1 span:first-child {
    animation: appear-1 forwards;
    animation-duration: 1s;
}

h1 span:last-child {
    animation: appear-2 forwards;
    animation-duration: 1.2s;

    margin-left: 50px;
}

h1:after {
    z-index: -1;
    content: "";
    position: absolute;
    top: 10%;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #000000;
    opacity: .75;
    filter: blur(25px);
}

.bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;

    z-index: -10;
    object-fit: cover;

    /* animation: bg 0.6s ease-out; */
}

picture {
    position: absolute;
    top: 0;
    left: 0;
}

a {
    text-decoration: none;
    color: inherit;
}

.titleWrapper {
    height: fit-content;
}

.titleWrapper-intro {
    font-size: 14px;
    text-transform: uppercase;

    animation: appear-3;
    animation-duration: 0.5s;
}

.btn {
    position: relative;
    overflow: hidden;
    display: flex;
    align-items: center;
    font-size: 0.9rem;
    padding: 0.5rem 1.5rem;
    background-color: #fff;
    box-shadow: 0 20px 15px 0 #00000044;
    border: none;
    text-transform: uppercase;
    font-weight: 600;

    border-radius: 100px;
    box-shadow: 0 20px 30px 0 #0000004d;

    color: rgb(53, 53, 53);
}

.btn:after {
    content: "";
    position: absolute;
    display: block;
    width: 0%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: #00000025;

    transform-origin: right center;

    transition: all 0.3s ease-out;
}

.btn:hover:after {
    width: 100%;
    transform-origin: left center;
}

.btn svg {
    width: 0.8rem;
    min-width: 0.8rem;
    height: 0.8rem;
    min-height: 0.8rem;
    vertical-align: -10%;
    margin-right: 1rem;
}

.contactWrapper {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: flex-start;
    flex-direction: column;
}

.contactWrapper .btn {
    margin-right: 1rem;
    margin-bottom: 1rem;
} 

picture img {
    transform: translateY(90deg);
}

@media (min-width: 450px) {
    h1 {
        font-size: 60px;
    }

    h1 span {
        margin-top: -80px;
    }
    
    h1 span:first-child {

    }
    
    h1 span:last-child {
        margin-left: 70px;
    }

    h1:after {
        filter: blur(35px);
        opacity: .7;
    }

    .btn {
        font-size: 1rem;
    }

    .btn svg {
        width: 1rem;
        height: 1rem;
    }

    .contactWrapper .btn {
        margin-right: 1.5rem;
        margin-bottom: 1.5rem;
    } 
}


@media (min-width: 900px) {

    .contactWrapper {
        flex-direction: row;
    }

    .contactWrapper .btn {
        margin-right: 2rem;
        margin-bottom: 2rem;
    } 

    .contactWrapper .btn svg {
        width: 1.1rem;
        height: 1.1rem;
    }

    .contactWrapper .btn {
        font-size: 1.2rem;
    }

    .contactWrapper .btn:first-child {
        margin-left: 0rem;
    } 

    .contactWrapper .btn:last-child {
        margin-right: 0rem;
    } 

    h1 {
        font-size: 100px;
    }

    h1 span {
        margin-top: -80px;
    }
    
    h1 span:last-child {
        margin-left: 160px;
    }

    h1:after {
        filter: blur(50px);
        opacity: .55;
    }
}